#!/usr/bin/env bash

# Get rid of any existing build.
rm -r dist

# Build the executable.
pyinstaller keryx.spec --log-level WARN

# Move important assets to the dist directory.
cp -r doc/ dist/
cp -r locale/ dist/
cp -r pixmaps/ dist/

# Get rid of pyinstaller's temp directories. The interesting stuff is in dist.
rm -r build __pycache__